<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>502B.70</title>
</head>
<script>
    //st1:
    var names = ["alpha", "beta", "gamma", "delta"];
    var [alpha, beta, gamma, delta] = names;
    console.log(`Phần tử 1: ${alpha}
Phần tử 2: ${beta}
`);

    //st2:
    var names = ["alpha", "beta", "gamma", "delta"];
    var [alpha, beta, gamma, delta] = names;
    console.log(`Phần tử 1: ${alpha}
Phần tử 3: ${gamma}
`);

    //st3:
    var names = ["alpha", "beta", "gamma", "delta"];
    var [alpha, beta, gamma, delta] = names;
    console.log(`Phần tử 1: ${alpha}
Phần tử 4: ${delta}
`);

    //st4:
    const marks = {
        section1: { alpha: 15, beta: 16 },
        section2: { alpha: -31, beta: 19 }
    };
    var { section1, section2 } = marks
    console.log(section1)

    //st5:
    var { alpha, beta } = section1;
    console.log(alpha)

    //st6: 
    var marks6 = { x: 21, y: -34, z: 47 };
    var { x, y, z } = marks6;
    console.log(y)
    console.log(marks6.y)






</script>

<body>

</body>

</html>